| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VEffectDescriptor Class Reference

`#include <AAX_VEffectDescriptor.h>`

Inheritance diagram for AAX_VEffectDescriptor:
[legend]
Collaboration diagram for AAX_VEffectDescriptor:
[legend]

## Description

Version-managed concrete AAX_IEffectDescriptor class.

## Public Member Functions
| AAX_VEffectDescriptor (IACFUnknown *pUnkHost)
| ~AAX_VEffectDescriptor () AAX_OVERRIDE
AAX_IComponentDescriptor * | NewComponentDescriptor () AAX_OVERRIDE
| Create an instance of a component descriptor.
AAX_Result | AddComponent (AAX_IComponentDescriptor *inComponentDescriptor) AAX_OVERRIDE
| Add a component to an instance of a component descriptor.
AAX_Result | AddName (const char *inPlugInName) AAX_OVERRIDE
| Add a name to the Effect.
AAX_Result | AddCategory (uint32_t inCategory) AAX_OVERRIDE
| Add a category to your plug-in. See AAX_EPlugInCategory.
AAX_Result | AddCategoryBypassParameter (uint32_t inCategory, AAX_CParamID inParamID) AAX_OVERRIDE
| Add a category to your plug-in. See AAX_EPlugInCategory.
AAX_Result | AddProcPtr (void *inProcPtr, AAX_CProcPtrID inProcID) AAX_OVERRIDE
| Add a process pointer.
AAX_IPropertyMap * | NewPropertyMap () AAX_OVERRIDE
| Create a new property map.
AAX_Result | SetProperties (AAX_IPropertyMap *inProperties) AAX_OVERRIDE
| Set the properties of a new property map.
AAX_Result | AddResourceInfo (AAX_EResourceType inResourceType, const char *inInfo) AAX_OVERRIDE
| Set resource file info.
AAX_Result | AddMeterDescription (AAX_CTypeID inMeterID, const char *inMeterName, AAX_IPropertyMap *inProperties) AAX_OVERRIDE
| Add name and property map to meter with given ID.
AAX_Result | AddControlMIDINode (AAX_CTypeID inNodeID, AAX_EMIDINodeType inNodeType, const char inNodeName[], uint32_t inChannelMask) AAX_OVERRIDE
| Add a control MIDI node to the plug-in data model.
IACFUnknown * | GetIUnknown (void) const
Public Member Functions inherited from AAX_IEffectDescriptor
virtual | ~AAX_IEffectDescriptor ()
virtual AAX_IComponentDescriptor * | NewComponentDescriptor ()=0
| Create an instance of a component descriptor.
virtual AAX_Result | AddComponent (AAX_IComponentDescriptor *inComponentDescriptor)=0
| Add a component to an instance of a component descriptor.
virtual AAX_Result | AddName (const char *inPlugInName)=0
| Add a name to the Effect.
virtual AAX_Result | AddCategory (uint32_t inCategory)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddCategoryBypassParameter (uint32_t inCategory, AAX_CParamID inParamID)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddProcPtr (void *inProcPtr, AAX_CProcPtrID inProcID)=0
| Add a process pointer.
virtual AAX_IPropertyMap * | NewPropertyMap ()=0
| Create a new property map.
virtual AAX_Result | SetProperties (AAX_IPropertyMap *inProperties)=0
| Set the properties of a new property map.
virtual AAX_Result | AddResourceInfo (AAX_EResourceType inResourceType, const char *inInfo)=0
| Set resource file info.
virtual AAX_Result | AddMeterDescription (AAX_CTypeID inMeterID, const char *inMeterName, AAX_IPropertyMap *inProperties)=0
| Add name and property map to meter with given ID.
virtual AAX_Result | AddControlMIDINode (AAX_CTypeID inNodeID, AAX_EMIDINodeType inNodeType, const char inNodeName[], uint32_t inChannelMask)=0
| Add a control MIDI node to the plug-in data model.

## Constructor & Destructor Documentation

## ◆ AAX_VEffectDescriptor()

AAX_VEffectDescriptor::AAX_VEffectDescriptor | ( | IACFUnknown * | pUnkHost | ) |

## ◆ ~AAX_VEffectDescriptor()

AAX_VEffectDescriptor::~AAX_VEffectDescriptor | ( |  | ) |

## Member Function Documentation

## ◆ NewComponentDescriptor()

AAX_IComponentDescriptor * AAX_VEffectDescriptor::NewComponentDescriptor | ( |  | ) |
| virtual

Create an instance of a component descriptor.

This implementation retains each generated AAX_IComponentDescriptor and destroys the property map upon AAX_VEffectDescriptor destruction

Implements AAX_IEffectDescriptor.

## ◆ AddComponent()

AAX_Result AAX_VEffectDescriptor::AddComponent | ( | AAX_IComponentDescriptor * | inComponentDescriptor | ) |
| virtual

Add a component to an instance of a component descriptor.

Unlike with AAX_ICollection::AddEffect(), the AAX_IEffectDescriptor does not take ownership of the AAX_IComponentDescriptor that is passed to it in this method. The host copies out the contents of this descriptor, and thus the plug-in may re-use the same descriptor object when creating additional similar components.

Parameters

  [in] | inComponentDescriptor |

Implements AAX_IEffectDescriptor.

## ◆ AddName()

AAX_Result AAX_VEffectDescriptor::AddName | ( | const char * | inPlugInName | ) |
| virtual

Add a name to the Effect.

May be called multiple times to add abbreviated Effect names.

Note
  Every Effect must include at least one name variant with 31 or fewer characters, plus a null terminating character

Parameters

  [in] | inPlugInName | The name assigned to the plug-in.

Implements AAX_IEffectDescriptor.

## ◆ AddCategory()

AAX_Result AAX_VEffectDescriptor::AddCategory | ( | uint32_t | inCategory | ) |
| virtual

Add a category to your plug-in. See AAX_EPlugInCategory.

Parameters

  [in] | inCategory | One of the categories for the plug-in.

Implements AAX_IEffectDescriptor.

## ◆ AddCategoryBypassParameter()

AAX_Result AAX_VEffectDescriptor::AddCategoryBypassParameter | ( | uint32_t | inCategory,
|  | AAX_CParamID | inParamID
| ) |  |
| virtual

Add a category to your plug-in. See AAX_EPlugInCategory.

Parameters

  [in] | inCategory | One of the categories for the plug-in.
  [in] | inParamID | The parameter ID of the parameter used to bypass the category seciont of the plug-in.

Implements AAX_IEffectDescriptor.

## ◆ AddProcPtr()

AAX_Result AAX_VEffectDescriptor::AddProcPtr | ( | void * | inProcPtr,
|  | AAX_CProcPtrID | inProcID
| ) |  |
| virtual

Add a process pointer.

Parameters

  [in] | inProcPtr | A process pointer.
  [in] | inProcID | A process ID.

Implements AAX_IEffectDescriptor.

## ◆ NewPropertyMap()

AAX_IPropertyMap * AAX_VEffectDescriptor::NewPropertyMap | ( |  | ) |
| virtual

Create a new property map.

This implementation retains each generated AAX_IPropertyMap and destroys the property map upon AAX_VEffectDescriptor destruction

Implements AAX_IEffectDescriptor.

## ◆ SetProperties()

AAX_Result AAX_VEffectDescriptor::SetProperties | ( | AAX_IPropertyMap * | inProperties | ) |
| virtual

Set the properties of a new property map.

Parameters

  [in] | inProperties | Description

Implements AAX_IEffectDescriptor.

## ◆ AddResourceInfo()

AAX_Result AAX_VEffectDescriptor::AddResourceInfo | ( | AAX_EResourceType | inResourceType,
|  | const char * | inInfo
| ) |  |
| virtual

Set resource file info.

Parameters

  [in] | inResourceType | See AAX_EResourceType.
  [in] | inInfo | Definition varies on the resource type.

Implements AAX_IEffectDescriptor.

## ◆ AddMeterDescription()

AAX_Result AAX_VEffectDescriptor::AddMeterDescription | ( | AAX_CTypeID | inMeterID,
|  | const char * | inMeterName,
|  | AAX_IPropertyMap * | inProperties
| ) |  |
| virtual

Add name and property map to meter with given ID.

Parameters

  [in] | inMeterID | The ID of the meter being described.
  [in] | inMeterName | The name of the meter.
  [in] | inProperties | The property map containing meter related data such as meter type, orientation, etc.

Implements AAX_IEffectDescriptor.

## ◆ AddControlMIDINode()

AAX_Result AAX_VEffectDescriptor::AddControlMIDINode | ( | AAX_CTypeID | inNodeID,
|  | AAX_EMIDINodeType | inNodeType,
|  | const char | inNodeName[],
|  | uint32_t | inChannelMask
| ) |  |
| virtual

Add a control MIDI node to the plug-in data model.

- This MIDI node may receive note data as well as control data.
- To send MIDI data to the plug-in's algorithm, use AAX_IComponentDescriptor::AddMIDINode().

See also
  AAX_IACFEffectParameters_V2::UpdateControlMIDINodes()

Parameters

  [in] | inNodeID | The ID for the new control MIDI node.
  [in] | inNodeType | The type of the node.
  [in] | inNodeName | The name of the node.
  [in] | inChannelMask | The bit mask for required nodes channels (up to 16) or required global events for global node.

Implements AAX_IEffectDescriptor.

## ◆ GetIUnknown()

IACFUnknown * AAX_VEffectDescriptor::GetIUnknown | ( | void |  | ) | const

The documentation for this class was generated from the following file:

- AAX_VEffectDescriptor.h